package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 收货单信息数据子集(DrugDeliveryNoteApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:40
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("drug_delivery_note_apply_info")
public class DrugDeliveryNoteApplyInfo {
    //主键ID
    @Column(name = "id")
    private Long id;
    //事件流水号
    @Column(name = "event_id")
    private String eventId;
    //事件响应时间
    @Column(name = "rec_time")
    private Date recTime;
    //药品追溯码
    @Column(name = "ypzsm")
    private String ypzsm;
    //包装层级
    @Column(name = "bzcj")
    private String bzcj;
    //上一级药品追溯码
    @Column(name = "syjbzypzsm")
    private String syjbzypzsm;
    //追溯码验证状态
    @Column(name = "zsmyzzt")
    private String zsmyzzt;
    //暂无
    @Column(name = "ymzt")
    private String ymzt;
    //统一社会信用代码（生产企业）
    @Column(name = "tyshxydmscqy")
    private String tyshxydmscqy;
    //生产企业名称
    @Column(name = "scqymc")
    private String scqymc;
    //药品通用名称
    @Column(name = "yptymc")
    private String yptymc;
    //国家药品标识码
    @Column(name = "gjypbsm")
    private String gjypbsm;
    //疫苗生产批号
    @Column(name = "ymscph")
    private String ymscph;
    //生产日期
    @Column(name = "scrq")
    private Date scrq;
    //统一社会信用代码（进口疫苗代理企业）
    @Column(name = "tyshxydmjkymdlqy")
    private String tyshxydmjkymdlqy;
    //进口疫苗代理企业名称
    @Column(name = "jkymdlqymc")
    private String jkymdlqymc;
    //疫苗有效期截止日期
    @Column(name = "ymyxqjzrq")
    private Date ymyxqjzrq;
    //应收货数量
    @Column(name = "yshsl")
    private Integer yshsl;
    //收货数量
    @Column(name = "shsl")
    private Integer shsl;
    //疫苗上市许可持有人名称
    @Column(name = "ymssxkcyrmc")
    private String ymssxkcyrmc;
    //统一社会信用代码（疫苗上市许可持有人）
    @Column(name = "tyshxydmymssxkcyr")
    private String tyshxydmymssxkcyr;
    //剂型
    @Column(name = "jx")
    private String jx;
    //包装规格
    @Column(name = "bzgg")
    private String bzgg;
    //制剂规格
    @Column(name = "zjgg")
    private String zjgg;
    //包装转换比
    @Column(name = "bzzhb")
    private BigDecimal bzzhb;
    //包装转换比单位
    @Column(name = "bzzhbdw")
    private String bzzhbdw;
    //药品注册分类
    @Column(name = "ypzcfl")
    private String ypzcfl;
    //特殊药品管理分类
    @Column(name = "tsypglfl")
    private String tsypglfl;
    //订货单编号
    @Column(name = "dhdbh")
    private String dhdbh;
    //发货单编号
    @Column(name = "fhdbh")
    private String fhdbh;
    //收货单编号
    @Column(name = "shdbh")
    private String shdbh;
    //统一社会信用代码(发货机构)
    @Column(name = "tyshxydmfhjg")
    private String tyshxydmfhjg;
    //暂无
    @Column(name = "jzdwbmfhjg")
    private String jzdwbmfhjg;
    //发货机构名称
    @Column(name = "fhjgmc")
    private String fhjgmc;
    //发货地址
    @Column(name = "fhdz")
    private String fhdz;
    //统一社会信用代码(收货机构)
    @Column(name = "tyshxydmshjg")
    private String tyshxydmshjg;
    //暂无
    @Column(name = "jzdwbmshjg")
    private String jzdwbmshjg;
    //收货地址
    @Column(name = "shdz")
    private String shdz;
    //收货机构名称
    @Column(name = "shjgmc")
    private String shjgmc;
    //收货类型
    @Column(name = "shlx")
    private String shlx;
    //收货时间
    @Column(name = "shsj")
    private Date shsj;
    //单据验证状态
    @Column(name = "djyzzt")
    private String djyzzt;
    //单据验证日期
    @Column(name = "djyzrq")
    private Date djyzrq;
    //单据验证未通过原因
    @Column(name = "djyzwtgyy")
    private String djyzwtgyy;
    //收货人
    @TableField("shr")
    private String shrmc;
    //发货机构类型
    @Column(name = "fhjglx")
    private String fhjglx;
    //收货机构类型
    @Column(name = "shjglx")
    private String shjglx;
    //发货机构小类
    @Column(name = "fhjgxl")
    private String fhjgxl;
    //收货机构小类
    @Column(name = "shjgxl")
    private String shjgxl;
    //卫生机构代码（收货机构）
    @Column(name = "wsjgdmshjg")
    private String wsjgdmshjg;
    //卫生机构代码（发货机构）
    @Column(name = "wsjgdmfhjg")
    private String wsjgdmfhjg;
    //执业许可证登记号/诊所备案编号（发货机构）
    @Column(name = "zyxkzdjhfhjg")
    private String zyxkzdjhfhjg;
    //执业许可证登记号/诊所备案编号（收货机构）
    @Column(name = "zyxkzdjhshjg")
    private String zyxkzdjhshjg;
    //委托单位名称
    @Column(name = "wtdwmc")
    private String wtdwmc;
    //委托单位统一社会信用代码
    @Column(name = "wtdwtyshxydm")
    private String wtdwtyshxydm;
    //创建时间
    @Column(name = "create_time")
    private Date createTime;
    //更新时间
    @Column(name = "update_time")
    private Date updateTime;
    //是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

